com.genesyslab.wfm7.API.service.forecast710

## Class FrcActivityHistoricalInformationIndicators

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast710.FrcActivityHistoricalInformationIndicators

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityHistoricalInformationIndicators
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `activityId`
    `private double` | `AHTEnd`
    `private int` | `AHTPeriodArraySize`
    `private FrcInformationPeriod[]` | `AHTPeriods`
    `private double` | `AHTStart`
    `private int` | `buId`
    `private double` | `IVEnd`
    `private int` | `IVPeriodArraySize`
    `private FrcInformationPeriod[]` | `IVPeriods`
    `private double` | `IVStart`
    `private int` | `siteId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityHistoricalInformationIndicators()`
    `FrcActivityHistoricalInformationIndicators(int siteId, int activityId, int buId, double IVStart, double IVEnd, double AHTStart, double AHTEnd, int IVPeriodArraySize, FrcInformationPeriod[] IVPeriods, int AHTPeriodArraySize, FrcInformationPeriod[] AHTPeriods)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getAHTEnd()` Gets the AHTEnd value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getAHTPeriodArraySize()` Gets the AHTPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `FrcInformationPeriod[]` | `getAHTPeriods()` Gets the AHTPeriods value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getAHTStart()` Gets the AHTStart value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getBuId()` Gets the buId value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getIVEnd()` Gets the IVEnd value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getIVPeriodArraySize()` Gets the IVPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `FrcInformationPeriod[]` | `getIVPeriods()` Gets the IVPeriods value for this FrcActivityHistoricalInformationIndicators.
    `double` | `getIVStart()` Gets the IVStart value for this FrcActivityHistoricalInformationIndicators.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityHistoricalInformationIndicators.
    `int` | `hashCode()`
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTEnd(double AHTEnd)` Sets the AHTEnd value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTPeriodArraySize(int AHTPeriodArraySize)` Sets the AHTPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTPeriods(FrcInformationPeriod[] AHTPeriods)` Sets the AHTPeriods value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setAHTStart(double AHTStart)` Sets the AHTStart value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVEnd(double IVEnd)` Sets the IVEnd value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVPeriodArraySize(int IVPeriodArraySize)` Sets the IVPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVPeriods(FrcInformationPeriod[] IVPeriods)` Sets the IVPeriods value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setIVStart(double IVStart)` Sets the IVStart value for this FrcActivityHistoricalInformationIndicators.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityHistoricalInformationIndicators.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteId

          private int siteId

    - #### activityId

          private int activityId

    - #### buId

          private int buId

    - #### IVStart

          private double IVStart

    - #### IVEnd

          private double IVEnd

    - #### AHTStart

          private double AHTStart

    - #### AHTEnd

          private double AHTEnd

    - #### IVPeriodArraySize

          private int IVPeriodArraySize

    - #### IVPeriods

          private FrcInformationPeriod[] IVPeriods

    - #### AHTPeriodArraySize

          private int AHTPeriodArraySize

    - #### AHTPeriods

          private FrcInformationPeriod[] AHTPeriods

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcActivityHistoricalInformationIndicators

          public FrcActivityHistoricalInformationIndicators()

    - #### FrcActivityHistoricalInformationIndicators

          public FrcActivityHistoricalInformationIndicators(int siteId,
                                                    int activityId,
                                                    int buId,
                                                    double IVStart,
                                                    double IVEnd,
                                                    double AHTStart,
                                                    double AHTEnd,
                                                    int IVPeriodArraySize,
                                                    FrcInformationPeriod[] IVPeriods,
                                                    int AHTPeriodArraySize,
                                                    FrcInformationPeriod[] AHTPeriods)

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `buId` -

    - #### getIVStart

          public double getIVStart()

      Gets the IVStart value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        IVStart

    - #### setIVStart

          public void setIVStart(double IVStart)

      Sets the IVStart value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `IVStart` -

    - #### getIVEnd

          public double getIVEnd()

      Gets the IVEnd value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        IVEnd

    - #### setIVEnd

          public void setIVEnd(double IVEnd)

      Sets the IVEnd value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `IVEnd` -

    - #### getAHTStart

          public double getAHTStart()

      Gets the AHTStart value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        AHTStart

    - #### setAHTStart

          public void setAHTStart(double AHTStart)

      Sets the AHTStart value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `AHTStart` -

    - #### getAHTEnd

          public double getAHTEnd()

      Gets the AHTEnd value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        AHTEnd

    - #### setAHTEnd

          public void setAHTEnd(double AHTEnd)

      Sets the AHTEnd value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `AHTEnd` -

    - #### getIVPeriodArraySize

          public int getIVPeriodArraySize()

      Gets the IVPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        IVPeriodArraySize

    - #### setIVPeriodArraySize

          public void setIVPeriodArraySize(int IVPeriodArraySize)

      Sets the IVPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `IVPeriodArraySize` -

    - #### getIVPeriods

          public FrcInformationPeriod[] getIVPeriods()

      Gets the IVPeriods value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        IVPeriods

    - #### setIVPeriods

          public void setIVPeriods(FrcInformationPeriod[] IVPeriods)

      Sets the IVPeriods value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `IVPeriods` -

    - #### getAHTPeriodArraySize

          public int getAHTPeriodArraySize()

      Gets the AHTPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        AHTPeriodArraySize

    - #### setAHTPeriodArraySize

          public void setAHTPeriodArraySize(int AHTPeriodArraySize)

      Sets the AHTPeriodArraySize value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `AHTPeriodArraySize` -

    - #### getAHTPeriods

          public FrcInformationPeriod[] getAHTPeriods()

      Gets the AHTPeriods value for this FrcActivityHistoricalInformationIndicators.
      Returns:
        AHTPeriods

    - #### setAHTPeriods

          public void setAHTPeriods(FrcInformationPeriod[] AHTPeriods)

      Sets the AHTPeriods value for this FrcActivityHistoricalInformationIndicators.
      Parameters:
        `AHTPeriods` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.